cancel
Showing results for 
Search instead for 
Did you mean: 

Blender Discussions

pennyw
Adept I
Adept I

I can’t activate RPR 2.0.94 on B3D 2.80 RC1

I can’t activate RPR 2.0.94 on B3D 2.80 RC. It doesn't show up on the add-on list. On MacBook Pro 15" Radeon Pro 560 4 GB.

On B3D 2.79b it works perfectly.

Before install RPR 2.0.94 I've uninstalled all the version.

Please help.

Thank you!

7 Replies
bsavery
Staff
Staff

Re: I can’t activate RPR 2.0.94 on B3D 2.80 RC1

Hi there.  We are aware.  We're working with Blender on the issue.  They changed their permissions on the RC1 build that broke a bunch of plugins.

See this thread.

https://developer.blender.org/T66986

0 Kudos
bsavery
Staff
Staff

Re: I can’t activate RPR 2.0.94 on B3D 2.80 RC1

Take a look at the build Brecht posted here:  https://download.blender.org/ftp/brecht/builds/blender-2.80rc1-macOS.dmg . Should fix it.

0 Kudos
pennyw
Adept I
Adept I

Re: I can’t activate RPR 2.0.94 on B3D 2.80 RC1

I tried it but no luck! I've downloaded the Brecht's build and installed the RPR 2.0.94 and it gives me the error in the screenshot.

Screen Shot 2019-07-16 at 16.05.21.png

Just another question: is It possible to install RPR 1.8x for B3D 2.79b and RPR 2.0.x for B3D 2.80 together? If yes, how?

Thank you for your help.

0 Kudos
pennyw
Adept I
Adept I

Re: I can’t activate RPR 2.0.94 on B3D 2.80 RC1

I've downloaded the experimental build and now it works. I still don't know if there is a way to install RPR for both B3D 1.79b and 1.80.

0 Kudos
gelert
Elite
Elite

Re: I can’t activate RPR 2.0.94 on B3D 2.80 RC1

The experimental "Nightly" build of 2.80 is not code signed the same as the RC1 build is.

Unfortunately, as you correctly point out the Brecht version and the subsequent official RC1 build for macOS still do not fix the problem for v2.0.94 of RPR.

I get the same error as you.

There is one known way around this issue.... disable SIP on macOS. However... that is not really advisable but it does prove this is a code signing issue at Blender's end.

pennyw
Adept I
Adept I

Re: I can’t activate RPR 2.0.94 on B3D 2.80 RC1

Today I quickly tried the BRC 3 and again RPR 2.0.94 it didn't work (same problem as above), then I downloaded the experimental Blender build and it worked. If the final Blender release is going to be like the RC I think it's a problem for RPR.

gelert
Elite
Elite

Re: I can’t activate RPR 2.0.94 on B3D 2.80 RC1

Indeed! Quite a showstopper.